polybori::constant_binder_base< BindType, BinaryFunction, ValueType, ConstantOp > Class Template Reference

`#include <pbori_func.h>`

Inheritance diagram for polybori::constant_binder_base< BindType, BinaryFunction, ValueType, ConstantOp >:

## Public Types

typedef BinaryFunction | bin_op
typedef ConstantOp | const_type
typedef BindType< bin_op > | base
typedef ValueType | value_type

## Public Member Functions

| constant_binder_base (const bin_op &op=bin_op())

## Member Typedef Documentation

template<template< class > class BindType, class BinaryFunction, class ValueType, class ConstantOp>

typedef BindType<bin_op> polybori::constant_binder_base< BindType, BinaryFunction, ValueType, ConstantOp >::base

template<template< class > class BindType, class BinaryFunction, class ValueType, class ConstantOp>

typedef BinaryFunction polybori::constant_binder_base< BindType, BinaryFunction, ValueType, ConstantOp >::bin_op

template<template< class > class BindType, class BinaryFunction, class ValueType, class ConstantOp>

typedef ConstantOp polybori::constant_binder_base< BindType, BinaryFunction, ValueType, ConstantOp >::const_type

template<template< class > class BindType, class BinaryFunction, class ValueType, class ConstantOp>

typedef ValueType polybori::constant_binder_base< BindType, BinaryFunction, ValueType, ConstantOp >::value_type

## Constructor & Destructor Documentation

template<template< class > class BindType, class BinaryFunction, class ValueType, class ConstantOp>

polybori::constant_binder_base< BindType, BinaryFunction, ValueType, ConstantOp >::constant_binder_base | ( | const bin_op & | op = `bin_op()` | ) |

inline

The documentation for this class was generated from the following file:

- pbori_func.h